## rx-34-kernel 2.6.18-200651osso2

=== debian/changelog ===
rx-34-kernel (2.6.18-200651osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso29)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 19 Dec 2006 18:11:06 +0200

rx-34-kernel (2.6.18-200651osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso28)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 19 Dec 2006 11:46:18 +0200

rx-34-kernel (2.6.18-200650osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso27)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 11 Dec 2006 18:09:09 +0200

rx-34-kernel (2.6.18-200649osso1.1) unstable; urgency=low

  * Refreshed sources to correct git version

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  5 Dec 2006 15:20:31 +0200

rx-34-kernel (2.6.18-200649osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso26)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  5 Dec 2006 15:20:08 +0200

rx-34-kernel (2.6.18-200648osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso25)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 29 Nov 2006 17:31:11 +0200

rx-34-kernel (2.6.18-200647osso5) unstable; urgency=low

  * Updated kernel version (2.6.18-osso24)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 24 Nov 2006 19:56:38 +0200

rx-34-kernel (2.6.18-200647osso4) unstable; urgency=low

  * Updated kernel version (2.6.18-osso23)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 24 Nov 2006 11:39:34 +0200

rx-34-kernel (2.6.18-200647osso3) unstable; urgency=low

  * Updated kernel version (2.6.18-osso22)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 24 Nov 2006 10:19:47 +0200

rx-34-kernel (2.6.18-200647osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso21)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 23 Nov 2006 14:46:47 +0200

rx-34-kernel (2.6.18-200647osso1.1) unstable; urgency=low

  * Do not pack kbuild, fix lintian

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 23 Nov 2006 14:04:25 +0200

rx-34-kernel (2.6.18-200647osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso20)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 23 Nov 2006 12:53:51 +0200

rx-34-kernel (2.6.18-200646osso2) unstable; urgency=low

  * Made a separate rule for headers in debian/rules
  * Produce full headers with kbuild, ready to bulid modules

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 21 Nov 2006 20:50:54 +0200

rx-34-kernel (2.6.18-200646osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso19)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 16 Nov 2006 11:25:09 +0200

rx-34-kernel (2.6.18-200645osso2.3) unstable; urgency=low

  * Revert oprofile generation 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  9 Nov 2006 16:28:32 +0200

rx-34-kernel (2.6.18-200645osso2.2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso18) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  9 Nov 2006 15:55:16 +0200

rx-34-kernel (2.6.18-200645osso2.1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso17)
  * Changed defconfig name

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  9 Nov 2006 15:41:33 +0200

rx-34-kernel (2.6.18-200645osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso16)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  9 Nov 2006 12:23:49 +0200

rx-34-kernel (2.6.18-200645osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso14)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  8 Nov 2006 18:51:20 +0200

rx-34-kernel (2.6.18-200644osso1) unstable; urgency=low

  * updated kernel version (2.6.18-osso13)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  1 Nov 2006 18:55:20 +0200

rx-34-kernel (2.6.18-200643osso1) unstable; urgency=low

  * updated kernel version (2.6.18-osso12)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 25 Oct 2006 16:08:12 +0300

rx-34-kernel (2.6.18-200642osso3) unstable; urgency=low

  * updated kernel version (2.6.18-osso11) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 17 Oct 2006 17:30:55 +0300

rx-34-kernel (2.6.18-200641osso2.4) unstable; urgency=low

  * use emdebian 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 13 Oct 2006 22:31:04 +0300

rx-34-kernel (2.6.18-200641osso2.3) unstable; urgency=low

  * updated kernel version (2.6.18-osso10) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 13 Oct 2006 22:01:32 +0300

rx-34-kernel (2.6.18-200641osso2.2) unstable; urgency=low

  * updated kernel version (2.6.18-osso9) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 13 Oct 2006 21:49:26 +0300

rx-34-kernel (2.6.18-200641osso2.1) unstable; urgency=low

  * updated kernel version (2.6.18-osso8)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 13 Oct 2006 21:40:16 +0300

rx-34-kernel (2.6.18-200641osso2) unstable; urgency=low

  * updated kernel version (2.6.18-osso7)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 13 Oct 2006 14:24:49 +0300

rx-34-kernel (2.6.18-200641osso1.3) unstable; urgency=low

  * fix lintian warning 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Oct 2006 19:52:18 +0300

rx-34-kernel (2.6.18-200641osso1.2) unstable; urgency=low

  * updated kernel version (2.6.18-osso6) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Oct 2006 19:06:54 +0300

rx-34-kernel (2.6.18-200641osso1.1) unstable; urgency=low

  * some fbwords cleanups

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Oct 2006 18:25:39 +0300

rx-34-kernel (2.6.18-200641osso1) unstable; urgency=low

  * kernel source updated (2.6.18-osso4)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Oct 2006 17:20:24 +0300

rx-34-kernel (2.6.18-200640osso1) unstable; urgency=low

  * kernel source updated (2.6.18-osso3) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  4 Oct 2006 17:03:39 +0300

rx-34-kernel (2.6.18-200639osso3) unstable; urgency=low

  * kernel source updated (2.6.18-osso2)  

