=== debian/control ===
Source: rx-34-kernel
Section: utils
Priority: optional
Maintainer:  Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Build-Depends-Indep: kernel-source-rx-34 (=2.6.18-osso29)
XBCS-Scratchbox-Architecture: uarm
Standards-Version: 3.5.9.0

Package: rx-34-kernel
Architecture: all
Description: Flashable Linux kernel for RX-34 hardware
 This package provides a flashable kernel image for RX-34 HW.

Package: rx-34-kernel-headers
Architecture: all
Description: Linux kernel headers
 This package provides kernel headers for RX-34.

Package: rx-34-kernel-modules
Architecture: all
Description: Linux kernel modules
 This package provides kernel modules for RX-34.

Package: rx-34-kernel-oprofile
Architecture: all
Description: Flashable Linux kernel for RX-34 hardware with oprofile
 This package provides a flashable kernel image for RX-34 HW.
 It has oprofile support built in.

Package: rx-34-kernel-debug
Architecture: any
Description: Linux kernel debug symblos
 This packages provides vmlinux files for the RX-34 kernels.
