## rx-34-kernel 2.6.18-200710osso2

=== debian/changelog ===
rx-34-kernel (2.6.18-200710osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso40)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  7 Mar 2007 15:00:04 +0200

rx-34-kernel (2.6.18-200710osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso39)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  7 Mar 2007 12:12:26 +0200

rx-34-kernel (2.6.18-200709osso1.2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso38.2)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  2 Mar 2007 15:52:31 +0200

rx-34-kernel (2.6.18-200709osso1.1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso38.1)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  2 Mar 2007 14:42:52 +0200

rx-34-kernel (2.6.18-200709osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso38)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 27 Feb 2007 16:35:37 +0200

rx-34-kernel (2.6.18-200707osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso37)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 13 Feb 2007 15:37:26 +0200

rx-34-kernel (2.6.18-200705osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso36)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  2 Feb 2007 16:23:35 +0200

rx-34-kernel (2.6.18-200705osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso35)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 31 Jan 2007 14:40:49 +0200

rx-34-kernel (2.6.18-200702osso1.1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso34)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  9 Jan 2007 16:29:03 +0200

rx-34-kernel (2.6.18-200702osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso33)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  9 Jan 2007 16:21:53 +0200

rx-34-kernel (2.6.18-200701osso1.1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso32)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  3 Jan 2007 17:05:01 +0200

rx-34-kernel (2.6.18-200701osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso31)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  3 Jan 2007 16:16:50 +0200

rx-34-kernel (2.6.18-200651osso3) unstable; urgency=low

  * Updated kernel version (2.6.18-osso30)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 21 Dec 2006 13:51:12 +0200
