=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer:  Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
 Build-Depends: debhelper (>= 4.0.0)
-Build-Depends-Indep: kernel-source-rx-34 (=2.6.18-osso29)
+Build-Depends-Indep: kernel-source-rx-34 (=2.6.18-osso40)
 XBCS-Scratchbox-Architecture: uarm
 Standards-Version: 3.5.9.0
