## rx-34-kernel 2.6.18-200724osso1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 DEBIAN_DIR := debian
 
-KSRC = ../linux-g
+KSRC = ../linux-g-1.0
 
 KSRCVER = $(shell dpkg-parsechangelog -l$(KSRC)/$(DEBIAN_DIR)/changelog  | awk '/^Version/{print $$2}')
 KMAJORVER = $(word 1, $(subst -, ,$(KSRCVER)))
