=== debian/changelog ===
rx-34-kernel (2.6.18-200724osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso52)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 13 Jun 2007 11:11:57 +0300

rx-34-kernel (2.6.18-200723osso1.1) unstable; urgency=low

  * Fixed oprofile stuff. Fixes: NB#55703

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  5 Jun 2007 15:38:43 +0300

rx-34-kernel (2.6.18-200723osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso51)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon,  4 Jun 2007 19:46:17 +0300

rx-34-kernel (2.6.18-200722osso3) unstable; urgency=low

  * Updated kernel version (2.6.18-osso50)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  1 Jun 2007 17:49:11 +0300

rx-34-kernel (2.6.18-200722osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso49)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  1 Jun 2007 16:36:14 +0300

rx-34-kernel (2.6.18-200722osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso48)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 28 May 2007 17:53:14 +0300

rx-34-kernel (2.6.18-200721osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso47)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 21 May 2007 16:36:54 +0300

rx-34-kernel (2.6.18-200720osso2.1) unstable; urgency=low

  * Use kernel version (2.6.18-osso45)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 16 May 2007 14:54:30 +0300

rx-34-kernel (2.6.18-200720osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso46)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 15 May 2007 16:32:05 +0300

rx-34-kernel (2.6.18-200717osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso43)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 27 Apr 2007 17:12:09 +0300

rx-34-kernel (2.6.18-200713osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso42)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 27 Mar 2007 15:17:26 +0300

rx-34-kernel (2.6.18-200712osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso41)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 20 Mar 2007 17:54:56 +0200
