## rx-34-kernel 2.6.21.0-200743osso1

=== debian/changelog ===
rx-34-kernel (2.6.21.0-200743osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso63)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 23 Oct 2007 18:00:56 +0300

rx-34-kernel (2.6.21.0-200742osso4) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso59)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 19 Oct 2007 16:18:59 +0300

rx-34-kernel (2.6.21.0-200742osso3) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso58)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 17 Oct 2007 17:22:01 +0300

rx-34-kernel (2.6.21.0-200742osso2) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso57)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 16 Oct 2007 15:25:24 +0300

rx-34-kernel (2.6.21.0-200742osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso56)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 15 Oct 2007 11:26:12 +0300

rx-34-kernel (2.6.21.0-200741osso2.2) unstable; urgency=low

  * Fixes: NB#72710 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 10 Oct 2007 18:52:53 +0300

rx-34-kernel (2.6.21.0-200741osso2.1) unstable; urgency=low

  * rx-34-kernel-modules-extra added. nfs

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 09 Oct 2007 20:23:08 +0300

rx-34-kernel (2.6.21.0-200741osso2) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso55)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  9 Oct 2007 19:05:28 +0300

rx-34-kernel (2.6.21.0-200741osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso53)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon,  8 Oct 2007 17:31:15 +0300

rx-34-kernel (2.6.21.0-200740osso2.1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso52)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  4 Oct 2007 20:22:17 +0300

rx-34-kernel (2.6.21.0-200740osso2) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso51)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  4 Oct 2007 18:33:59 +0300

rx-34-kernel (2.6.21.0-200740osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso49)
    Fixes: NB#71687, NB#71420, NB#55457, NB#61963, NB#71480, NB#71117

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  2 Oct 2007 18:55:42 +0300

rx-34-kernel (2.6.21.0-200739osso4) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso48)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 27 Sep 2007 16:46:21 +0300

rx-34-kernel (2.6.21.0-200739osso3) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso47)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 27 Sep 2007 15:49:03 +0300

rx-34-kernel (2.6.21.0-200739osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso45)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 25 Sep 2007 19:17:25 +0300

rx-34-kernel (2.6.21-200738osso1+nd1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso44+nd1)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 18 Sep 2007 17:50:23 +0300

rx-34-kernel (2.6.21-200738osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso44)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 18 Sep 2007 16:55:40 +0300

rx-34-kernel (2.6.21-200737osso1+nondvfs1) unstable; urgency=low

  * Nondvfs release

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 12 Sep 2007 19:35:01 +0300

rx-34-kernel (2.6.21-200737osso1) unstable; urgency=low

  * Use "all" architecture for rx-34-kernel-debug. Fixes: NB#65043
  * Updated kernel version (2.6.21.0-osso43)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 11 Sep 2007 17:42:27 +0300

rx-34-kernel (2.6.21-200736osso2) unstable; urgency=low

  * Updated kernel version (2.6.21-osso42)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 05 Sep 2007 17:27:47 +0300

rx-34-kernel (2.6.21-200736osso1) unstable; urgency=low

  * Updated kernel version (2.6.21-osso41)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 04 Sep 2007 19:51:34 +0300

rx-34-kernel (2.6.21-200735osso3) unstable; urgency=low

  * Updated kernel version (2.6.21-osso40)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 30 Aug 2007 17:44:27 +0300

rx-34-kernel (2.6.21-200735osso2) unstable; urgency=low

  * Updated kernel version (2.6.21-osso39)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 28 Aug 2007 17:10:26 +0300

rx-34-kernel (2.6.21-200735osso1) unstable; urgency=low

  * Updated kernel version (2.6.21-osso37)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 27 Aug 2007 17:11:33 +0300

rx-34-kernel (2.6.21-200734osso3) unstable; urgency=low

  * Updated kernel version (2.6.21-osso37)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 24 Aug 2007 16:35:37 +0300

rx-34-kernel (2.6.21-200734osso2) unstable; urgency=low

  * Updated kernel version (2.6.21-osso36.1)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 23 Aug 2007 18:25:01 +0300

rx-34-kernel (2.6.21-200734osso1) unstable; urgency=low

  * Updated kernel version (2.6.21-osso36)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 22 Aug 2007 18:21:00 +0300

rx-34-kernel (2.6.21-200733osso3) unstable; urgency=low

  * Updated kernel version (2.6.21-osso35)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 17 Aug 2007 15:21:51 +0300

rx-34-kernel (2.6.21-200733osso2) unstable; urgency=low

  * Updated kernel version (2.6.21-osso34)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 14 Aug 2007 17:44:23 +0300

rx-34-kernel (2.6.21-200732osso2) unstable; urgency=low

  * Updated kernel version (2.6.21-osso33) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 10 Aug 2007 15:48:33 +0300

rx-34-kernel (2.6.21-200732osso1) unstable; urgency=low

  * Updated kernel version (2.6.21-osso32)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  8 Aug 2007 18:20:36 +0300

rx-34-kernel (2.6.21-200731osso1) unstable; urgency=low

  * Updated kernel version (2.6.21-osso31)


