=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer:  Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
 Build-Depends: debhelper (>= 4.0.0)
-Build-Depends-Indep: kernel-source-rx-34 (=2.6.18-osso52)
+Build-Depends-Indep: kernel-source-rx-34 (>=2.6.21.0-osso63)
 XBCS-Scratchbox-Architecture: uarm
 Standards-Version: 3.5.9.0
 
@@ -22,6 +22,11 @@
 Description: Linux kernel modules
  This package provides kernel modules for RX-34.
 
+Package: rx-34-kernel-modules-extra
+Architecture: all
+Description: Linux kernel modules
+ This package provides some extra kernel modules for RX-34.
+
 Package: rx-34-kernel-oprofile
 Architecture: all
 Description: Flashable Linux kernel for RX-34 hardware with oprofile
@@ -29,6 +34,6 @@
  It has oprofile support built in.
 
 Package: rx-34-kernel-debug
-Architecture: any
+Architecture: all
 Description: Linux kernel debug symblos
  This packages provides vmlinux files for the RX-34 kernels.
