## rx-34-kernel 2.6.21.0-200749osso2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 DEBIAN_DIR := debian
 
-KSRC = ../linux-g-1.0
+KSRC = ../linux
 
 KSRCVER = $(shell dpkg-parsechangelog -l$(KSRC)/$(DEBIAN_DIR)/changelog  | awk '/^Version/{print $$2}')
 KMAJORVER = $(word 1, $(subst -, ,$(KSRCVER)))
@@ -15,7 +15,11 @@
 all: deb
 
 deb: control-stamp changelog-stamp
-	dpkg-buildpackage -i'.git/' -I'.git' -rfakeroot -S 
+#Have to remove stamps
+	rm -f $<
+	dpkg-buildpackage -i'.git/' -I'.git' -rfakeroot -S
+#and get them back
+	touch $<
 
 modules:
 	fakeroot debian/rules modules-deb
@@ -24,7 +28,7 @@
 	touch control-stamp
 
 control:
-	sed -i 's/^Build-Depends-Indep: kernel-source-rx-34 (=[^)]*)/Build-Depends-Indep: kernel-source-rx-34 (=$(KSRCVER))/' $(DEBIAN_DIR)/control
+	sed -i 's/^Build-Depends-Indep: kernel-source-rx-34 (>=[^)]*)/Build-Depends-Indep: kernel-source-rx-34 (>=$(KSRCVER))/' $(DEBIAN_DIR)/control
 
 changelog-stamp: changelog
 	touch changelog-stamp
