=== debian/changelog ===
rx-34-kernel (2.6.21.0-200749osso2) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso71)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  7 Dec 2007 10:40:30 +0200

rx-34-kernel (2.6.21.0-200749osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso70)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  5 Dec 2007 15:58:43 +0200

rx-34-kernel (2.6.21.0-200748osso1.1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso69.1)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  4 Dec 2007 12:22:50 +0200

rx-34-kernel (2.6.21.0-200748osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso69)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 27 Nov 2007 15:46:37 +0200

rx-34-kernel (2.6.21.0-200747osso3) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso68)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 23 Nov 2007 16:45:17 +0200

rx-34-kernel (2.6.21.0-200747osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso67)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 19 Nov 2007 16:27:26 +0200

rx-34-kernel (2.6.21.0-200746osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso66)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 13 Nov 2007 12:51:45 +0200

rx-34-kernel (2.6.21.0-200745osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso65)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  6 Nov 2007 16:52:22 +0200

rx-34-kernel (2.6.21.0-200744osso2) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso64)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 30 Oct 2007 15:51:34 +0200
