=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,16 @@
 PRODUCT := rx-34
 DEBIAN_DIR := debian
 PACKAGE := $(PRODUCT)-kernel
-DEFCONFIG := n800_defconfig
+DEFCONFIG := nokia_2420_defconfig
 
 ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 INCLUDE_HEADERS =  asm asm-generic asm-$(ARCH) Kbuild linux mtd rdma sound acpi config math-emu net rxrpc video keys media pcmcia scsi
+MODULES_EXTRA= fs/lockd/lockd.ko fs/nfs/nfs.ko net/sunrpc/sunrpc.ko
 
 build: kernel-oprofile kernel headers kernel modules
+
+build-extra: modules-extra
 
 kernel: configure-stamp
 	echo "compile $(PRODUCT) kernel"
@@ -33,6 +36,14 @@
 	echo "compile $(PRODUCT) kernel modules"
 	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION)/ && \
 	make HOSTCC=host-gcc modules
+
+modules-extra: configure-stamp
+	echo "compile $(PRODUCT) kernel EXTRA modules"
+	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION)/ && \
+	patch -p1 < $(CURDIR)/$(DEBIAN_DIR)/modules-extra_config.patch && \
+	make HOSTCC=host-gcc oldconfig modules && \
+	patch -p1 -R < $(CURDIR)/$(DEBIAN_DIR)/modules-extra_config.patch && \
+	make HOSTCC=host-gcc oldconfig
 
 headers: configure-stamp
 	echo "prepare $(PRODUCT) kernel headers"
@@ -121,9 +132,21 @@
 		$(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-headers/usr/src/$(PRODUCT)-kernel-headers/include/asm-$(ARCH)
 	#cp -a $(CURDIR)/kernel-source-$(SOURCE_VERSION)/scripts $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-headers/usr/src/$(PRODUCT)-kernel-headers
 
-binary-indep: build install
+install-modules-extra:
+	dh_testdir
+	dh_testroot
+
+	mkdir -p $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-modules-extra/lib/modules/$(KERNELRELEASE)/extra
+	for f in $(MODULES_EXTRA); do \
+		install -c -m 644 $(CURDIR)/kernel-source-$(SOURCE_VERSION)/$$f \
+			$(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-modules-extra/lib/modules/$(KERNELRELEASE)/extra/$$(basename $$f); \
+	done
+
+install-extra: install-modules-extra
 
 binary-arch: build install
+
+binary-indep: build install build-extra install-extra
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
